{
  "AbilityName": "Thracian_DynamicDifficultyManager",
  "AbilitySpecials": {
    "AS_Temp": {
      "Value": 0,
      "ValueType": "Float"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAttackLanded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "DynamicDifficulty_StopIncrease_Modifier",
        "Predicates": [
          {
            "$type": "ByNot",
            "Predicates": [
              {
                "$type": "ByAnimEventIDs",
                "AnimEventIDs": [
                  "Monster_Thracian_Attack_05_Attackproperty_Hit",
                  "Monster_Thracian_Attack_06_Attackproperty_Bullet",
                  "Monster_Thracian_Charge_Attackproperty",
                  "Monster_Thracian_ChargeBurst_Attackproperty_Start"
                ]
              }
            ]
          }
        ]
      }
    ],
    "OnBeingHit": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "DynamicDifficulty_StartIncrease_Modifier"
      }
    ],
    "OnThinkInterval": [
      {
        "$type": "ModifyProperty",
        "Amount": 2.5,
        "CustomPropertyType": "DynamicDifficulty",
        "Predicates": [
          {
            "$type": "ByHasModifier",
            "ModifierNameList": [
              "DynamicDifficulty_StartIncrease_Modifier"
            ]
          },
          {
            "$type": "ByNot",
            "Predicates": [
              {
                "$type": "ByHasModifier",
                "ModifierNameList": [
                  "DynamicDifficulty_StopIncrease_Modifier"
                ]
              }
            ]
          }
        ],
        "PropertyModifyFunction": "Add",
        "PropertyType": "Custom"
      }
    ],
    "ThinkInterval": 0.1
  },
  "Modifiers": {
    "DynamicDifficulty_StartIncrease_Modifier": {
      "Duration": 5,
      "IsUnique": true,
      "ModifierStacking": "Refresh"
    },
    "DynamicDifficulty_StopIncrease_Modifier": {
      "Duration": 5,
      "IsUnique": true,
      "ModifierStacking": "Replace",
      "OnAdded": [
        {
          "$type": "SetAbilitySpecialsByPropertyAction",
          "CustomPropertyType": "DynamicDifficulty",
          "ModifyFunction": "Replace",
          "ParamName": "AS_Temp",
          "Percentage": 1,
          "PropertyType": "Custom"
        },
        {
          "$type": "SetAbilitySpecialAction",
          "ModifyFunction": "Mul",
          "Param": 0.85,
          "ParamName": "AS_Temp",
          "ParamType": "Float"
        },
        {
          "$type": "ModifyProperty",
          "Amount": "%AS_Temp",
          "CustomPropertyType": "DynamicDifficulty",
          "PropertyModifyFunction": "Replace",
          "PropertyType": "Custom"
        }
      ]
    }
  }
}